Skip to main content
PUT
/
core
/
v3
/
custom-fields
/
{id}
Update a custom field
curl --request PUT \
  --url https://api-{region}.sesametime.com/core/v3/custom-fields/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "cf_preferred_os"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "slug": "cf_preferred_os",
    "type": "text",
    "createdAt": "2020-01-01T10:00:00+01:00",
    "updatedAt": "2020-01-01T10:00:00+01:00"
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

id
string<uuid>
required

Custom field ID

Body

application/json

Custom field object that needs to be updated

name
string
required

The name of the custom field

slug
string<cf_[a-z0-9_]+>
Example:

"cf_preferred_os"

Response

200 - application/json

Object

data
object
meta
object